import { SuperAdmin } from './entities/super-admin.entity';
import { Repository } from 'typeorm';
export declare class SuperAdminService {
    private superAdminRepository;
    constructor(superAdminRepository: Repository<SuperAdmin>);
    findOne(email: string): Promise<SuperAdmin | null>;
}
